package de.humance.eco.profile.model.impl;

import com.liferay.portal.kernel.exception.SystemException;

import de.humance.eco.profile.model.Qualification;
import de.humance.eco.profile.service.QualificationLocalServiceUtil;

/**
 * The extended model base implementation for the Qualification service. Represents a row in the &quot;Profile_Qualification&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This class exists only as a container for the default extended model level methods generated by ServiceBuilder. Helper methods and all application logic should be put in {@link QualificationImpl}.
 * </p>
 *
 * @author Humance
 * @see QualificationImpl
 * @see de.humance.eco.profile.model.Qualification
 * @generated
 */
public abstract class QualificationBaseImpl extends QualificationModelImpl
    implements Qualification {
    /*
     * NOTE FOR DEVELOPERS:
     *
     * Never modify or reference this class directly. All methods that expect a qualification model instance should use the {@link Qualification} interface instead.
     */
    @Override
    public void persist() throws SystemException {
        if (this.isNew()) {
            QualificationLocalServiceUtil.addQualification(this);
        } else {
            QualificationLocalServiceUtil.updateQualification(this);
        }
    }
}
